package com.realnet.basicp1.Services;
import com.realnet.basicp1.Repository.FormdRepository;
import com.realnet.basicp1.Entity.Formd;import java.util.List;
import java.util.ArrayList;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import com.realnet.Notification.Entity.NotificationService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;import org.springframework.data.domain.Pageable;
import org.springframework.http.ResponseEntity;
import com.realnet.users.service1.AppUserServiceImpl;
import org.springframework.http.HttpStatus;
import com.realnet.users.entity1.AppUser;












	import org.springframework.stereotype.Service;

@Service
 public class FormdService {
@Autowired
private FormdRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;











public Formd Savedata(Formd data) {












	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Formd save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Formd> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Formd> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Formd> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Formd getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Formd update(Formd data,Integer id) {
	Formd old = Repository.findById(id).get();
old.setCurrency(data.getCurrency());

old.setQrcode_field(data.getQrcode_field());

old.setBarcode_field(data.getBarcode_field());

old.setNumba(data.getNumba());

old.setNumbb(data.getNumbb());

old.setCalculatedadd(data.getCalculatedadd());

final Formd test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 












 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
